<?php


// Default options values
$sa_options = array(
	'site_color' => 'ffa200',
	'facebook' => '',
	'twitter' => '',
	'footer_text' => '<a href="http://switchupstudios.com">Premium WordPress Themes</a> by <a href="http://switchupstudios.com/2011/09/ping/">SwitchUp Studios</a>',
	'footer_html' => ''
);

if ( is_admin() ) : // Load only if we are viewing an admin page

function sa_register_settings() {
	// Register settings and call sanitation functions
	register_setting( 'sa_theme_options', 'sa_options', 'sa_validate_options' );
}

function my_admin_head() {
		echo '<link rel="stylesheet" type="text/css" href="';
		echo bloginfo(template_url);
		echo '/theme-options/css/jPicker-1.1.6.css" />';
		echo '<link rel="stylesheet" type="text/css" href="';
		echo bloginfo(template_url);
		echo '/theme-options/admin.css" />';
		echo '<script type="text/javascript" src="';
		echo bloginfo(template_url);
		echo '/theme-options/jpicker-1.1.6.min.js"></script>';
}

add_action('admin_head', 'my_admin_head');

add_action( 'admin_init', 'sa_register_settings' );

function sa_theme_options() {
	// Add theme options page to the addmin menu
	add_theme_page( 'Theme Options', 'Theme Options', 'edit_theme_options', 'theme_options', 'sa_theme_options_page' );
}
add_action( 'admin_menu', 'sa_theme_options' );

// Function to generate options page
function sa_theme_options_page() {
	global $sa_options, $sa_categories, $sa_layouts;

	if ( ! isset( $_REQUEST['updated'] ) )
		$_REQUEST['updated'] = false; // This checks whether the form has just been submitted. ?>

	<div class="wrap">

	<?php screen_icon(); echo "<h2>" . get_current_theme() . __( ' Theme Options' ) . "</h2>";
	// This shows the page's name and an icon if one has been provided ?>

	<?php if ( false !== $_REQUEST['updated'] ) : ?>
	<div class="updated fade"><p><strong><?php _e( 'Options saved' ); ?></strong></p></div>
	<?php endif; // If the form has just been submitted, this shows the notification ?>

	<form method="post" action="options.php">

	<?php $settings = get_option( 'sa_options', $sa_options ); ?>
	
	<?php settings_fields( 'sa_theme_options' );
	/* This function outputs some hidden fields required by the form,
	including a nonce, a unique number used to ensure the form has been submitted from the admin page
	and not somewhere else, very important for security */ ?>

	
   <div class="admin-option"> 
   <label for="site_color">Sitewide Color:</label>

    <script type="text/javascript">        
  jQuery(document).ready(
    function()
    {
		jQuery.fn.jPicker.defaults.images.clientPath='<?php echo bloginfo(template_url); echo ('/theme-options/'); ?>images/';
		jQuery.fn.jPicker.defaults.window.position.x='left';
		jQuery.fn.jPicker.defaults.window.position.y='bottom';
      jQuery('#Binded').jPicker();
	  });
</script>
<div class="textinput">
	<input id="Binded" name="sa_options[site_color]" type="text" value="<?php  esc_attr_e($settings['site_color']); ?>" />
    </div>
    </div>
    <div class="admin-option"> 
<label for="facebook">Facebook URL<br/ >(the bit after 'facebook.com/')</label>
<div class="textinput">
	<input id="facebook" name="sa_options[facebook]" type="text" value="<?php  esc_attr_e($settings['facebook']); ?>" />
</div>
</div>
   <div class="admin-option"> 
<label for="twitter">Twitter URL<br/ >(the bit after 'twitter.com/')</label>
<div class="textinput">
	<input id="twitter" name="sa_options[twitter]" type="text" value="<?php  esc_attr_e($settings['twitter']); ?>" />
</div>
</div>
   <div class="admin-option"> 
     
 <label for="footer_text">Footer Text<br/ >(insert any text you wish to be in the footer)</label>

	<textarea id="footer_text" name="sa_options[footer_text]" type="text" ><?php  esc_attr_e($settings['footer_text']); ?></textarea>
    </div>
       <div class="admin-option"> 
      <label for="footer_html">Footer HTML<br/ >(insert any html/scripts, like Google Analytics)</label>

	<textarea id="footer_html" name="sa_options[footer_html]" type="text" ><?php  esc_attr_e($settings['footer_html']); ?></textarea>
</div>
	<p class="submit"><input type="submit" class="button-primary" value="Save Options" /></p>

	</form>

	</div>

	<?php
}

function sa_validate_options( $input ) {
	global $sa_options, $sa_categories, $sa_layouts;

	$settings = get_option( 'sa_options', $sa_options );
	
	
	$input['site-color'] = wp_filter_nohtml_kses( $input['site-color'] );
	
	
	return $input;
}

endif;  // EndIf is_admin()